# This file is part of the Falcon repository manager
# Copyright (C) 2005-2007 Dennis Kaarsemaker
# See the file named COPYING in the root of the source tree for license details

import falcon
from django.db import models

class Builder(models.Model):
    name = models.CharField(maxlength=30,unique=True)
    arch = models.CharField(maxlength=10)
    upload = models.CharField(maxlength=100)
    comment = models.TextField()

    def __str__(self):
        return 'Falcon %s builder %s' % (self.arch, self.name)

    def __repr__(self):
        return '<Falcon %s builder %s>' % (self.arch, self.name)

    def build(source):
        pass

    def check_build(source):
        pass

def upload_to(file, dest):
    pass
